> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch api keys



## OpenAPI

````yaml patch /api-keys/{key}
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /api-keys/{key}:
    patch:
      operationId: ApiKeyController_updateMeta
      parameters:
        - name: key
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientKeyDTO'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateClientKeyDTO:
      type: object
      properties:
        name:
          type: string
        key:
          type: string
        customMetaData:
          type: object
        customAccountId:
          type: string
        customUserId:
          type: string
        expiry:
          format: date-time
          type: string
        rateLimitConfigs:
          $ref: '#/components/schemas/RateLimitConfiguration'
      required:
        - name
    RateLimitConfiguration:
      type: object
      properties: {}

````